# seed-planter [![Build Status](https://travis-ci.org/helpscout/seed-planter.svg?branch=master)](https://travis-ci.org/helpscout/seed-planter) [![npm version](https://badge.fury.io/js/seed-planter.svg)](https://badge.fury.io/js/seed-planter)

Initializer for [Seed](https://github.com/helpscout/seed)!

seed-planter helps ensure that your sass/scss code is initialized only once!
This is really handy if you're `@import`ing the same code in multiple files.

## Install
```
npm install seed-planter --save-dev
```


## Basic Usage

### SCSS
This seed pack needs to be imported into your sass pipeline. Below is an example using Gulp:


```javascript
var gulp = require('gulp');
var sass = require('gulp-sass');
var pack = require('seed-planter');

gulp.task('sass', function () {
  return gulp.src('./sass/**/*.scss')
    .pipe(sass({
      includePaths: pack
    }))
    .pipe(gulp.dest('./css'));
});
```

Once that is setup, simply `@import` *seed-planter* as needed in your `.scss` file:

```scss
// Packs
@import "pack/seed-planter/_index";
```

## Usage

```scss
@include _plant(my-awesome-pack-name) {
  // Your pack's content here!
  @import "./mixins/awesome-mixin";
}
```
